Index: asp3_wo_tecs/trunk/test/test_notify1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_notify1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_notify1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_notify1.c 463 2015-10-18 14:25:55Z ertl-hiro $
+ *  $Id: test_notify1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -119,5 +119,5 @@
  *
  *	== TASK1 ==
- *	1:	sta_alm(ALM1, ALM_RELTIM)
+ *	1:	sta_alm(ALM1, TEST_TIME_PROC) ... ref_almã§åä½ç¢ºèªããã¾ã§
  *		assert(event_variable == false)
  *		ref_alm(ALM1, &ralm)
@@ -126,5 +126,5 @@
  *	2:	ref_alm(ALM1, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	3:	sta_alm(ALM2, ALM_RELTIM)
+ *	3:	sta_alm(ALM2, TEST_TIME_CP) ... TASK2-1ãå®è¡éå§ããã¾ã§
  *		ref_tsk(TASK2, &rtsk)
  *		assert((rtsk.tskstat & TTS_DMT) != 0U)
@@ -137,5 +137,5 @@
  *	6:	wup_tsk(TASK1)
  *	== TASK1ï¼ç¶ãï¼==
- *	7:	sta_alm(ALM3, ALM_RELTIM)
+ *	7:	sta_alm(ALM3, TEST_TIME_CP) ... TASK2-1ãå®è¡åéããã¾ã§
  *		ref_tsk(TASK2, &rtsk)
  *		assert((rtsk.tskstat & TTS_RDY) != 0U)
@@ -149,22 +149,22 @@
  *	11:	wup_tsk(TASK1)
  *	== TASK1ï¼ç¶ãï¼==
- *	12:	dly_tsk(1000U)
+ *	12:	dly_tsk(TEST_TIME_CP) ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-1ï¼ç¶ãï¼==
  *	13:	ext_tsk()
  *	== TASK1ï¼ç¶ãï¼==
- *	14:	sta_alm(ALM3, ALM_RELTIM)
+ *	14:	sta_alm(ALM3, TEST_TIME_PROC) ... ããã«çºçãã¦ãè¯ã
  *		DO(wait_error())								... (B-1)
  *		assert(error_variable == E_OBJ)
- *	15:	sta_alm(ALM4, ALM_RELTIM)
+ *	15:	sta_alm(ALM4, TEST_TIME_PROC) ... ref_almã§åä½ç¢ºèªããã¾ã§
  *		ref_sem(SEM1, &rsem)
  *		assert(rsem.semcnt == 0U)
  *		ref_alm(ALM4, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
- *	16:	dly_tsk(ALM_RELTIM * 2)
+ *	16:	dly_tsk(2 * TEST_TIME_PROC) ... ALM4ãå®è¡ãããã¾ã§
  *	17:	ref_sem(SEM1, &rsem)							... (A-5)
  *		assert(rsem.semcnt == 1U)
  *		ref_alm(ALM4, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	18:	sta_alm(ALM4, ALM_RELTIM)
+ *	18:	sta_alm(ALM4, TEST_TIME_CP) ... TASK2-2ãå®è¡éå§ããã¾ã§
  *	19:	slp_tsk()
  *	== TASK2-2ï¼2åç®ï¼==
@@ -172,5 +172,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	21:	pol_sem(SEM1)
- *	22:	sta_alm(ALM5, ALM_RELTIM)
+ *	22:	sta_alm(ALM5, 2 * TEST_TIME_CP) ... TASK1ãå®è¡éå§ããã¾ã§
  *		ref_flg(FLG1, &rflg)
  *		assert(rflg.flgptn == 0x00U)
@@ -184,15 +184,15 @@
  *		ref_alm(ALM5, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	26:	sta_alm(ALM6, ALM_RELTIM)
+ *	26:	sta_alm(ALM6, TEST_TIME_CP) ... ref_almã§åä½ç¢ºèªããã¾ã§
  *		ref_dtq(DTQ1, &rdtq)
  *		assert(rdtq.sdtqcnt == 0U)
  *		ref_alm(ALM6, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
- *	27:	dly_tsk(ALM_RELTIM * 2)
+ *	27:	dly_tsk(2 * TEST_TIME_CP) ... ALM6ãå®è¡ãããã¾ã§
  *	28:	ref_dtq(DTQ1, &rdtq)							... (A-7)
  *		assert(rdtq.sdtqcnt == 1U)
  *		ref_alm(ALM6, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	29:	sta_alm(ALM6, ALM_RELTIM)
+ *	29:	sta_alm(ALM6, TEST_TIME_CP) ... TASK2-2ãå®è¡éå§ããã¾ã§
  *	30:	slp_tsk()
  *	== TASK2-2ï¼ç¶ãï¼==
@@ -202,5 +202,5 @@
  *		assert(data == 0x01)
  *	33:	act_tsk(TASK2)
- *		sta_alm(ALM7, ALM_RELTIM)
+ *		sta_alm(ALM7, 2 * TEST_TIME_CP) ... TASK1ãå®è¡éå§ããã¾ã§
  *		ref_sem(SEM1, &rsem)
  *		assert(rsem.semcnt == 0U)
@@ -213,5 +213,7 @@
  *	36:	ref_alm(ALM7, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	37:	sta_alm(ALM8, ALM_RELTIM)
+ *	37:	sta_alm(ALM8, TEST_TIME_CP) ... wai_flgã§å¾
+ã¡ã«å
+¥ãã¾ã§
  *		ref_flg(FLG1, &rflg)
  *		assert(rflg.flgptn == 0x01U)
@@ -222,28 +224,30 @@
  *		ref_alm(ALM8, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	40:	sta_alm(ALM9, ALM_RELTIM)
- *	41:	ref_dtq(DTQ1, &rdtq)
+ *	40:	sta_alm(ALM9,  TEST_TIME_CP) ... rcv_dtqã§å¾
+ã¡ã«å
+¥ãã¾ã§
+ *		ref_dtq(DTQ1, &rdtq)
  *		assert(rdtq.sdtqcnt == 0U)
  *		ref_alm(ALM9, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
- *	42:	rcv_dtq(DTQ1, &data)							... (B-7)
- *	43:	assert(data == E_QOVR)
+ *	41:	rcv_dtq(DTQ1, &data)							... (B-7)
+ *	42:	assert(data == E_QOVR)
  *		ref_alm(ALM9, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	44:	sta_alm(ALM10, ALM_RELTIM)
- *	45:	assert(count_variable == 1)
+ *	43:	sta_alm(ALM10, TEST_TIME_CP) ... ref_almã§åä½ç¢ºèªããã¾ã§
+ *	44:	assert(count_variable == 1)
  *		ref_alm(ALM10, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
  *		DO(wait_count(1))								... (A-2)
- *	46:	ref_alm(ALM10, &ralm)
- *		assert((ralm.almstat & TALM_STP) != 0U)
- *	47:	sta_alm(ALM11, ALM_RELTIM)
- *	48:	assert(count_variable == 2)
+ *	45:	ref_alm(ALM10, &ralm)
+ *		assert((ralm.almstat & TALM_STP) != 0U)
+ *	46:	sta_alm(ALM11, TEST_TIME_CP) ... ref_almã§åä½ç¢ºèªããã¾ã§
+ *	47:	assert(count_variable == 2)
  *		ref_alm(ALM11, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
  *		DO(wait_count(2))								... (B-2)
- *	49:	ref_alm(ALM9, &ralm)
- *		assert((ralm.almstat & TALM_STP) != 0U)
- *	50:	END
+ *	48:	ref_alm(ALM9, &ralm)
+ *		assert((ralm.almstat & TALM_STP) != 0U)
+ *	49:	END
  */
 
@@ -281,17 +285,17 @@
 task1(intptr_t exinf)
 {
-	T_RTSK	rtsk;
-	T_RDTQ	rdtq;
-	T_RFLG	rflg;
-	intptr_t	data;
-	FLGPTN	flgptn;
 	ER_UINT	ercd;
 	T_RALM	ralm;
+	T_RTSK	rtsk;
 	T_RSEM	rsem;
+	T_RFLG	rflg;
+	FLGPTN	flgptn;
+	T_RDTQ	rdtq;
+	intptr_t	data;
 
 	test_start(__FILE__);
 
 	check_point(1);
-	ercd = sta_alm(ALM1, ALM_RELTIM);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -312,5 +316,5 @@
 
 	check_point(3);
-	ercd = sta_alm(ALM2, ALM_RELTIM);
+	ercd = sta_alm(ALM2, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -330,5 +334,5 @@
 
 	check_point(7);
-	ercd = sta_alm(ALM3, ALM_RELTIM);
+	ercd = sta_alm(ALM3, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -348,9 +352,9 @@
 
 	check_point(12);
-	ercd = dly_tsk(1000U);
+	ercd = dly_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
 	check_point(14);
-	ercd = sta_alm(ALM3, ALM_RELTIM);
+	ercd = sta_alm(ALM3, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -360,5 +364,5 @@
 
 	check_point(15);
-	ercd = sta_alm(ALM4, ALM_RELTIM);
+	ercd = sta_alm(ALM4, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -374,5 +378,5 @@
 
 	check_point(16);
-	ercd = dly_tsk(ALM_RELTIM * 2);
+	ercd = dly_tsk(2 * TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -389,5 +393,5 @@
 
 	check_point(18);
-	ercd = sta_alm(ALM4, ALM_RELTIM);
+	ercd = sta_alm(ALM4, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -401,5 +405,5 @@
 
 	check_point(22);
-	ercd = sta_alm(ALM5, ALM_RELTIM);
+	ercd = sta_alm(ALM5, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -427,5 +431,5 @@
 
 	check_point(26);
-	ercd = sta_alm(ALM6, ALM_RELTIM);
+	ercd = sta_alm(ALM6, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -441,5 +445,5 @@
 
 	check_point(27);
-	ercd = dly_tsk(ALM_RELTIM * 2);
+	ercd = dly_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -456,5 +460,5 @@
 
 	check_point(29);
-	ercd = sta_alm(ALM6, ALM_RELTIM);
+	ercd = sta_alm(ALM6, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -473,5 +477,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = sta_alm(ALM7, ALM_RELTIM);
+	ercd = sta_alm(ALM7, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -497,5 +501,5 @@
 
 	check_point(37);
-	ercd = sta_alm(ALM8, ALM_RELTIM);
+	ercd = sta_alm(ALM8, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -523,25 +527,64 @@
 
 	check_point(40);
-	ercd = sta_alm(ALM9, ALM_RELTIM);
-	check_ercd(ercd, E_OK);
+	ercd = sta_alm(ALM9,  TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_dtq(DTQ1, &rdtq);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rdtq.sdtqcnt == 0U);
+
+	ercd = ref_alm(ALM9, &ralm);
+	check_ercd(ercd, E_OK);
+
+	check_assert((ralm.almstat & TALM_STA) != 0U);
 
 	check_point(41);
-	ercd = ref_dtq(DTQ1, &rdtq);
-	check_ercd(ercd, E_OK);
-
-	check_assert(rdtq.sdtqcnt == 0U);
+	ercd = rcv_dtq(DTQ1, &data);
+	check_ercd(ercd, E_OK);
+
+	check_point(42);
+	check_assert(data == E_QOVR);
 
 	ercd = ref_alm(ALM9, &ralm);
 	check_ercd(ercd, E_OK);
 
-	check_assert((ralm.almstat & TALM_STA) != 0U);
-
-	check_point(42);
-	ercd = rcv_dtq(DTQ1, &data);
-	check_ercd(ercd, E_OK);
+	check_assert((ralm.almstat & TALM_STP) != 0U);
 
 	check_point(43);
-	check_assert(data == E_QOVR);
-
+	ercd = sta_alm(ALM10, TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	check_point(44);
+	check_assert(count_variable == 1);
+
+	ercd = ref_alm(ALM10, &ralm);
+	check_ercd(ercd, E_OK);
+
+	check_assert((ralm.almstat & TALM_STA) != 0U);
+
+	wait_count(1);
+
+	check_point(45);
+	ercd = ref_alm(ALM10, &ralm);
+	check_ercd(ercd, E_OK);
+
+	check_assert((ralm.almstat & TALM_STP) != 0U);
+
+	check_point(46);
+	ercd = sta_alm(ALM11, TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	check_point(47);
+	check_assert(count_variable == 2);
+
+	ercd = ref_alm(ALM11, &ralm);
+	check_ercd(ercd, E_OK);
+
+	check_assert((ralm.almstat & TALM_STA) != 0U);
+
+	wait_count(2);
+
+	check_point(48);
 	ercd = ref_alm(ALM9, &ralm);
 	check_ercd(ercd, E_OK);
@@ -549,45 +592,5 @@
 	check_assert((ralm.almstat & TALM_STP) != 0U);
 
-	check_point(44);
-	ercd = sta_alm(ALM10, ALM_RELTIM);
-	check_ercd(ercd, E_OK);
-
-	check_point(45);
-	check_assert(count_variable == 1);
-
-	ercd = ref_alm(ALM10, &ralm);
-	check_ercd(ercd, E_OK);
-
-	check_assert((ralm.almstat & TALM_STA) != 0U);
-
-	wait_count(1);
-
-	check_point(46);
-	ercd = ref_alm(ALM10, &ralm);
-	check_ercd(ercd, E_OK);
-
-	check_assert((ralm.almstat & TALM_STP) != 0U);
-
-	check_point(47);
-	ercd = sta_alm(ALM11, ALM_RELTIM);
-	check_ercd(ercd, E_OK);
-
-	check_point(48);
-	check_assert(count_variable == 2);
-
-	ercd = ref_alm(ALM11, &ralm);
-	check_ercd(ercd, E_OK);
-
-	check_assert((ralm.almstat & TALM_STA) != 0U);
-
-	wait_count(2);
-
-	check_point(49);
-	ercd = ref_alm(ALM9, &ralm);
-	check_ercd(ercd, E_OK);
-
-	check_assert((ralm.almstat & TALM_STP) != 0U);
-
-	check_finish(50);
+	check_finish(49);
 	check_point(0);
 }
Index: asp3_wo_tecs/trunk/test/test_notify1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_notify1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_notify1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_notify1.h 463 2015-10-18 14:25:55Z ertl-hiro $
+ *  $Id: test_notify1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,7 +82,12 @@
 #endif /* STACK_SIZE */
 
-#ifndef ALM_RELTIM
-#define ALM_RELTIM		5000U		/* ã¢ã©ã¼ã ãã³ãã©ã«ä»æããç¸å¯¾æé */
-#endif /* ALM_RELTIM */
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
 
 #define E_INVALID		(-1)		/* ã¨ã©ã¼ã³ã¼ãã¨ãã¦ç¡å¹ãªå¤ */
Index: asp3_wo_tecs/trunk/test/test_raster1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_raster1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_raster1.c 453 2015-08-15 23:05:31Z ertl-hiro $
+ *  $Id: test_raster1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -158,5 +158,5 @@
  *		call(set_bit_func(bit_kernel))
  *	1:	act_tsk(TASK2)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== TASK2-1ï¼1åç®ï¼==
@@ -181,5 +181,5 @@
  *	9:	act_tsk(TASK3)
  *	== TASK3-1ï¼1åç®ï¼==
- *	10:	tloc_mtx(MTX1, 10000U)
+ *	10:	tloc_mtx(MTX1, 3 * TEST_TIME_CP) ... ras_terãããã¾ã§
  *	11:	slp_tsk()
  *	== TASK1ï¼ç¶ãï¼==
@@ -263,5 +263,5 @@
  *		assert(rtsk.raster == false)				... (E-1)
  *		assert(rtsk.dister == false)				... (E-2)(G-4)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-3ï¼3åç®ï¼==
  *	41:	dis_ter()
@@ -364,5 +364,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -563,5 +563,5 @@
 	check_assert(rtsk.dister == false);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -696,5 +696,5 @@
 	case 1:
 		check_point(10);
-		ercd = tloc_mtx(MTX1, 10000U);
+		ercd = tloc_mtx(MTX1, 3 * TEST_TIME_CP);
 		check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_raster1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_raster1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_raster1.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_raster1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -84,4 +84,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_raster2.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster2.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_raster2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_raster2.c 603 2016-02-07 12:42:10Z ertl-hiro $
+ *  $Id: test_raster2.c 740 2016-04-05 15:44:39Z ertl-hiro $
  */
 
@@ -123,5 +123,5 @@
 ããä¼æ­¢ç¶æ
 ã«ï¼»NGKI1178ï¼½
- *	ASPã«ã¼ãã«ã«é©ç¨ãããªãè¦æ±ï¼
+ *	ASP3ã«ã¼ãã«ã«é©ç¨ãããªãè¦æ±ï¼
  *		ï¼»NGKI3764ï¼½ï¼»NGKI3765ï¼½ï¼»NGKI3497ï¼½
  *
@@ -140,5 +140,5 @@
  *
  *	== TASK1 ==
- *	1:	sta_alm(ALM1, 10000U)
+ *	1:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-1ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-1ï¼1åç®ï¼==
@@ -173,5 +173,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	8:	ras_ter(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-1ï¼ç¶ãï¼==
  *	9:	ena_ter()									... (E-1)
@@ -223,5 +223,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	24:	ras_ter(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	25:	ena_ter()									... (F-3)
@@ -230,5 +230,5 @@
  *		DO(while(true))
  *	== TASK1ï¼ç¶ãï¼==
- *	27:	sta_alm(ALM1, 10000U)
+ *	27:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-2ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-2ï¼2åç®ï¼==
@@ -239,10 +239,10 @@
  *	29:	ter_tsk(TASK2)
  *		act_tsk(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-6ï¼6åç®ï¼==
  *	30:	ena_ter()
  *		DO(while(true))
  *	== TASK1ï¼ç¶ãï¼==
- *	31:	sta_alm(ALM1, 10000U)
+ *	31:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-3ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-3ï¼3åç®ï¼==
@@ -259,5 +259,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	35:	ras_ter(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-7ï¼ç¶ãï¼==
  *	36:	dis_dsp()
@@ -274,5 +274,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	40:	ras_ter(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-8ï¼ç¶ãï¼==
  *	41:	chg_ipm(TMAX_INTPRI)
@@ -355,5 +355,5 @@
 
 	check_point(1);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -417,5 +417,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -486,9 +486,9 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(27);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -503,9 +503,9 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(31);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -527,5 +527,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -547,5 +547,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_raster2.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster2.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_raster2.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_raster2.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_raster2.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_sem1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_sem1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_sem1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_sem1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -187,5 +187,5 @@
  *		assert(rsem.wtskid == TSK_NONE)
  *		assert(rsem.semcnt == 0)
- *	7:	sta_alm(ALM1, 10000U)
+ *	7:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *	8:	wai_sem(SEM1)						... (G-1)
  *	== ALM1 ==
@@ -242,5 +242,5 @@
  *		assert(rsem.wtskid == TSK_NONE)
  *		assert(rsem.semcnt == 2)
- *	39:	tslp_tsk(10000U) -> E_TMOUT
+ *	39:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	40:	wai_sem(SEM3)						... (G-4)
@@ -262,15 +262,15 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	48:	sig_sem(SEM3)						... (B-4)
- *	49:	tslp_tsk(10000U) -> E_TMOUT
+ *	49:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK4ï¼ç¶ãï¼==
  *	50:	ext_tsk() -> noreturn
  *	== TASK1ï¼ç¶ãï¼==
  *	51:	sig_sem(SEM3)						... (B-4)
- *	52:	tslp_tsk(10000U) -> E_TMOUT
+ *	52:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK5ï¼ç¶ãï¼==
  *	53:	ext_tsk() -> noreturn
  *	== TASK1ï¼ç¶ãï¼==
  *	54:	sig_sem(SEM3)						... (B-4)
- *	55:	tslp_tsk(10000U) -> E_TMOUT
+ *	55:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	56:	ext_tsk() -> noreturn
@@ -488,5 +488,5 @@
 
 	check_point(39);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -512,5 +512,5 @@
 
 	check_point(49);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -520,5 +520,5 @@
 
 	check_point(52);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -528,5 +528,5 @@
 
 	check_point(55);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -621,5 +621,5 @@
 
 	check_point(7);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_sem1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_sem1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_sem1.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_sem1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_sem2.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem2.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_sem2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_sem2.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_sem2.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -153,5 +153,5 @@
  *	4:	twai_sem(SEM1, TMO_NBLK) -> E_PAR	... (E-5)
  *		twai_sem(SEM1, TMO_POL) -> E_TMOUT	... (F)
- *	5:	sta_alm(ALM1, 10000U)
+ *	5:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1-1ãå®è¡éå§ããã¾ã§
  *	6:	twai_sem(SEM1, TMO_FEVR)			... (G)
  *	== ALM1-1 ==
@@ -168,5 +168,5 @@
  *	== TASK3ï¼åªå
 åº¦ï¼ä½ï¼==
- *	12:	sta_alm(ALM1, 10000U)
+ *	12:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-2ãå®è¡éå§ããã¾ã§
  *		call(wait_var())
  *	== ALM1-2 ==
@@ -177,5 +177,5 @@
  *	14:	wai_sem(SEM1)
  *	== TASK3ï¼ç¶ãï¼==
- *	15:	sta_alm(ALM1, 10000U)
+ *	15:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-3ãå®è¡éå§ããã¾ã§
  *		dis_dsp()
  *		call(wait_var())
@@ -189,5 +189,5 @@
  *	18:	wai_sem(SEM1)
  *	== TASK3ï¼ç¶ãï¼==
- *	19:	sta_alm(ALM1, 10000U)
+ *	19:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-4ãå®è¡éå§ããã¾ã§
  *		sus_tsk(TASK1)
  *		call(wait_var())
@@ -202,5 +202,5 @@
  *	== TASK2ï¼åªå
 åº¦ï¼é«ï¼==
- *	23:	tslp_tsk(10000U) -> E_TMOUT
+ *	23:	tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK2ãå®è¡åéããã¾ã§
  *	== TASK1ï¼ç¶ãï¼==
  *	24:	wai_sem(SEM1)
@@ -208,5 +208,5 @@
  *	25:	ext_tsk() -> noreturn
  *	== TASK2ï¼ç¶ãï¼==
- *	26:	sta_alm(ALM1, 10000U)
+ *	26:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-5ãå®è¡éå§ããã¾ã§
  *		call(wait_var())
  *	== ALM1-5 ==
@@ -217,12 +217,12 @@
  *	28:	ext_tsk() -> noreturn
  *	== TASK1ï¼ç¶ãï¼==
- *	29:	sta_alm(ALM1, 10000U)
- *	30:	twai_sem(SEM1, 100000U) -> E_RLWAI
+ *	29:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1-6ãå®è¡éå§ããã¾ã§
+ *	30:	twai_sem(SEM1, 2 * TEST_TIME_CP) -> E_RLWAI ... rel_waiãããã¾ã§
  *	== ALM1-6 ==
  *	31:	rel_wai(TASK1)
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	32:	sta_alm(ALM1, 100000U)
- *	33:	twai_sem(SEM1, 10000U) -> E_TMOUT		... (H)
+ *	32:	sta_alm(ALM1, 3 * TEST_TIME_CP) ... stp_almãããã¾ã§
+ *	33:	twai_sem(SEM1, TEST_TIME_CP) -> E_TMOUT		... (H)
  *	34:	stp_alm(ALM1)
  *	35:	END
@@ -399,5 +399,5 @@
 
 	check_point(5);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -431,17 +431,17 @@
 
 	check_point(29);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
 	check_point(30);
-	ercd = twai_sem(SEM1, 100000U);
+	ercd = twai_sem(SEM1, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_RLWAI);
 
 	check_point(32);
-	ercd = sta_alm(ALM1, 100000U);
+	ercd = sta_alm(ALM1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
 	check_point(33);
-	ercd = twai_sem(SEM1, 10000U);
+	ercd = twai_sem(SEM1, TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -460,9 +460,9 @@
 
 	check_point(23);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(26);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -481,5 +481,5 @@
 
 	check_point(12);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -487,5 +487,5 @@
 
 	check_point(15);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -500,5 +500,5 @@
 
 	check_point(19);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_sem2.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem2.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_sem2.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_sem2.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_sem2.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_task1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_task1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_task1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_task1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_task1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -221,5 +221,5 @@
  *	32:	slp_tsk()						... (H-3)
  *	== TASK5ï¼ç¶ãï¼==
- *	33:	sta_alm(ALM1, 10000U)
+ *	33:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *	34:	slp_tsk()						... (H-1)
  *	== ALM1 ==
@@ -245,6 +245,6 @@
 alarm1_handler(intptr_t exinf)
 {
+	ER_UINT	ercd;
 	ID		tskid;
-	ER_UINT	ercd;
 
 	check_point(35);
@@ -383,5 +383,5 @@
 
 	check_point(33);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_task1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_task1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_task1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_task1.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_task1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
